*;
*  Fix 3: PRINT column widths adjusted - Part 1, via the 
*         SPLIT character and option
*;

options center;

title; footnote;

ods listing close;
ods tagsets.ExcelXP path="&SAMPDIR" file='aedata.xml' style=SUGI31;

  ods tagsets.ExcelXP options(sheet_name='Data - Trial 1');

  proc print data=sample.aedata noobs label split='*';
    by protocol;
    where protocol eq 'ABC 123';
    id patient;
    id visit / style=rowheader_r_border style(header)=header_r_border;
    var aecode / style(data)=data_z8;
    var aetext--treat;
    label protocol  = 'Protocol Identifier'
          patient   = 'Patient*Identifier'
          visit     = 'Visit*Identifier'
          aecode    = '*Code'
          aetext    = '*Preferred Term'
          aesev     = '*Severity'
          frequency = '*Frequency'
          aesevc    = '*Severity'
          treat     = '*Treatment';
  run; quit;

  ods tagsets.ExcelXP options(sheet_name='Data - Trial 2');

  proc print data=sample.aedata noobs label split='*';
    by protocol;
    where protocol eq 'XYZ 987';
    id patient;
    id visit / style=rowheader_r_border style(header)=header_r_border;
    var aecode / style(data)=data_z8;
    var aetext--treat;
    label protocol  = 'Protocol Identifier'
          patient   = 'Patient*Identifier'
          visit     = 'Visit*Identifier'
          aecode    = '*Code'
          aetext    = '*Preferred Term'
          aesev     = '*Severity'
          frequency = '*Frequency'
          aesevc    = '*Severity'
          treat     = '*Treatment';
  run; quit;

  ods tagsets.ExcelXP options(sheet_name='Summary - Trial 1');

  proc tabulate data=sample.aedata;
    by protocol;
    where protocol eq 'ABC 123';
    var aesev;
    class aetext;
    class aesevc / style=rowheader_r_border;
    classlev aesevc / style=rowheader_r_border;
    table aetext*aesevc,aesev*pctn / box={label='' style=header_box};
    keyword all pctn;
    keylabel pctn='Percent';
  run; quit;

  ods tagsets.ExcelXP options(sheet_name='Summary - Trial 2');

  proc tabulate data=sample.aedata;
    by protocol;
    where protocol eq 'XYZ 987';
    var aesev;
    class aetext;
    class aesevc / style=rowheader_r_border;
    classlev aesevc / style=rowheader_r_border;
    table aetext*aesevc,aesev*pctn / box={label='' style=header_box};
    keyword all pctn;
    keylabel pctn='Percent';
  run; quit;
ods tagsets.ExcelXP close;