*;
*  Fix 7: Adding frozen column headings and AutoFilters via the 
*         FROZEN_HEADERS and AUTOFILTER tagset options
*;

options nocenter;

title; footnote;

ods listing close;
ods tagsets.ExcelXP path="&SAMPDIR" file='aedata.xml' style=SUGI31;

  ods tagsets.ExcelXP options(sheet_name='Data - Trial 1'
     width_fudge='0.7'
     frozen_headers='2' autofilter='all');

  proc print data=sample.aedata noobs label split='*';
    by protocol;
    where protocol eq 'ABC 123';
    id patient;
    id visit / style=rowheader_r_border style(header)=header_r_border;
    var aecode / style(data)=data_z8;
    var aetext--treat;
    label protocol  = 'Protocol Identifier'
          patient   = 'Patient*Identifier'
          visit     = 'Visit*Identifier'
          aecode    = '*Code'
          aetext    = '*Preferred Term'
          aesev     = '*Severity'
          frequency = '*Frequency'
          aesevc    = '*Severity'
          treat     = '*Treatment';
  run; quit;

  ods tagsets.ExcelXP options(sheet_name='Data - Trial 2'
     width_fudge='0.7'
     frozen_headers='2' autofilter='all');

  proc print data=sample.aedata noobs label split='*';
    by protocol;
    where protocol eq 'XYZ 987';
    id patient;
    id visit / style=rowheader_r_border style(header)=header_r_border;
    var aecode / style(data)=data_z8;
    var aetext--treat;
    label protocol  = 'Protocol Identifier'
          patient   = 'Patient*Identifier'
          visit     = 'Visit*Identifier'
          aecode    = '*Code'
          aetext    = '*Preferred Term'
          aesev     = '*Severity'
          frequency = '*Frequency'
          aesevc    = '*Severity'
          treat     = '*Treatment';
  run; quit;

  ods tagsets.ExcelXP options(sheet_name='Summary - Trial 1'
     width_fudge='0.75'
     absolute_column_width='21, 8, 8'
     frozen_headers='no' autofilter='none');

  proc tabulate data=sample.aedata;
    by protocol;
    where protocol eq 'ABC 123';
    var aesev;
    class aetext;
    class aesevc / style=rowheader_r_border;
    classlev aesevc / style=rowheader_r_border;
    table aetext*aesevc,aesev*pctn / box={label='' style=header_box};
    keyword all pctn;
    keylabel pctn='Percent';
  run; quit;

  ods tagsets.ExcelXP options(sheet_name='Summary - Trial 2'
     width_fudge='0.75'
     absolute_column_width='21, 8, 8'
     frozen_headers='no' autofilter='none');

  proc tabulate data=sample.aedata;
    by protocol;
    where protocol eq 'XYZ 987';
    var aesev;
    class aetext;
    class aesevc / style=rowheader_r_border;
    classlev aesevc / style=rowheader_r_border;
    table aetext*aesevc,aesev*pctn / box={label='' style=header_box};
    keyword all pctn;
    keylabel pctn='Percent';
  run; quit;
ods tagsets.ExcelXP close;